## dpa-ext-gnomekeyring 5.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(dpa-ext-gnome-keyring VERSION 0.1.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_FLAGS "-Wall -Werror")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Qt5DBus REQUIRED)

pkg_check_modules(libsecret REQUIRED IMPORTED_TARGET libsecret-unstable)
add_compile_definitions(SECRET_API_SUBJECT_TO_CHANGE)

pkg_check_modules(glib REQUIRED IMPORTED_TARGET glib-2.0)

add_compile_definitions(DPAEXTGNOMEKEYRING_LIBRARY)

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
add_compile_definitions(QT_DEPRECATED_WARNINGS)

file(GLOB TS_FILES translations/dpa-ext-gnomekeyring*.ts)

qt5_add_translation(QM_FILES ${TS_FILES})

add_library(dpa-ext-gnomekeyring MODULE)

target_sources(dpa-ext-gnomekeyring PRIVATE
    gnomekeyringextention.cpp
    dpa-ext-gnomekeyring.json
    ${QM_FILES}
)

target_include_directories(dpa-ext-gnomekeyring PRIVATE
    /usr/include
    ${Qt5_INCLUDE_DIRS}
)

target_link_libraries(dpa-ext-gnomekeyring PRIVATE
    Qt5::Widgets
    PkgConfig::libsecret
    PkgConfig::glib
    ${Qt5DBus_LIBRARIES}
)

install(TARGETS
    dpa-ext-gnomekeyring
    LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/polkit-1-dde/plugins
)

install(FILES
    ${QM_FILES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dpa-ext-gnomekeyring/translations
)

=== debian/changelog ===
dpa-ext-gnomekeyring (5.0.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:30:20 +0800

dpa-ext-gnomekeyring (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin <packages@deepin.com>  Mon, 29 Jan 2018 16:37:58 +0800

## dpa-ext-gnomekeyring 6.0.1

=== debian/changelog ===
dpa-ext-gnomekeyring (6.0.1) unstable; urgency=medium

  * fix: 'Empty keyring password' not showing
  * chore(CI): modify PKGBUILD to support OBS
  * chore(CI): add OBS workflows

 -- Deepin <quezhiyong@deepin.org>  Wed, 16 Aug 2023 14:35:39 +0800

=== debian/control ===
Source: dpa-ext-gnomekeyring
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 dde-polkit-agent-dev,
 debhelper-compat (= 11),
 libglib2.0-dev,
 libsecret-1-dev,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dpa-ext-gnomekeyring
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNOME keyring extension for dde-polkit-agent.
 DDE Polkit Agent extension to automatically do some thing with GNOME keyring.
